# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_WFDeflectionShape Class Reference

WFDeflectionShape - computes the wireframe
presentation of compound set of faces, edges and
vertices by displaying a given number of U and/or
V isoparametric curves, converts this one into VRML
objects and writes (adds) them into anOStream.
All requested properties of the representation are
specify in aDrawer.
This kind of the presentation is converted into
IndexedLineSet and PointSet ( VRML ).
.

`#include <VrmlConverter_WFDeflectionShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (Standard_OStream &anOStream, const TopoDS_Shape &aShape, const Handle(VrmlConverter_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_WFDeflectionShape::Add | ( | Standard_OStream & | anOStream,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

void VrmlConverter_WFDeflectionShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_WFDeflectionShape::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_WFDeflectionShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_WFDeflectionShape.hxx